cd "/Users/justingeorge/Library/CloudStorage/OneDrive-MichiganStateUniversity/Research/AU_spatial_2020"


use me_final,clear

tsset ccode1 year
xi i.ccode1

drop if year<2002
drop if year>2019

eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
esttab using table_1.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 *.year _cons) replace




eststo clear
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==1,  gmm2s bw(3) kernel(bartlett)
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==2,  gmm2s bw(3) kernel(bartlett)
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==3,  gmm2s bw(1) kernel(bartlett)
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==4,  gmm2s bw(3) kernel(bartlett)
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==5,  gmm2s bw(3) kernel(bartlett)
esttab using table_2.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 _cons) replace


eststo clear
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==2,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==3,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==4,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if au_region_code==5,  gmm2s bw(3) kernel(bartlett) robust
esttab using table_3.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 _cons) replace


eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if r1==15,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if r1==15,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if r1==15,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt) loggdp logpop gtd_attacks troop_contri trade_open coup_id i.ccode1 if r1==15,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au) loggdp loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if r1==202,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 if r1==202,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year if r1==202,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt) loggdp logpop gtd_attacks troop_contri trade_open coup_id i.ccode1 i.year if r1==202,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
esttab using table_4.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1  *.year _cons) replace

eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au) loggdp logpop gtd_attacks conflict_id au_pko wgi_cc trade_open i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id au_pko wgi_cc trade_open i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id au_pko wgi_cc trade_open i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks conflict_id au_pko wgi_cc trade_open i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks au_pko wgi_cc trade_open i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
esttab using table_5.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 *.year _cons) replace


use me_final,clear

drop if year<1991
drop if year>2019
tsset ccode1 year
xi i.ccode1

eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
esttab using table_6.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 *.year _cons) replace


******************************
*****Appendix tables *********
******************************

use me_final,clear

drop if year<2002
drop if year>2019
tsset ccode1 year
xi i.ccode1
eststo clear
eststo:ivreg2 me_share (share_sl_au= gdp_sl_au pop_sl_au) loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 me_share (share_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 me_share (share_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 me_share (share_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks conflict_id troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 me_share (share_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)

esttab using table_A3.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 *.year _cons) replace


use me_final,clear

drop if year<2002
drop if year>2019
tsset ccode1 year
xi i.ccode1
eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri au_trade_share coup_id i.ccode1,  gmm2s bw(1) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks conflict_id troop_contri  au_trade_share coup_id i.ccode1,  gmm2s bw(1) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks conflict_id troop_contri  au_trade_share coup_id i.ccode1,  gmm2s bw(1) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks conflict_id troop_contri au_trade_share  coup_id i.ccode1,  gmm2s bw(1) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks troop_contri au_trade_share coup_id i.ccode1,  gmm2s bw(1) kernel(bartlett) robust  partial(i.ccode1)
esttab using table_A4.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 _cons) replace

use me_final,clear

drop if year<2002
drop if year>2019
tsset ccode1 year
xi i.ccode1
eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1 if au_region_code==1,  gmm2s bw(1) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1 if au_region_code==2,  gmm2s bw(1) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1 if au_region_code==3,  gmm2s bw(1) kernel(bartlett)
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1  if au_region_code==4,  gmm2s bw(1) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au)loggdp logpop gtd_attacks conflict_id troop_contri  trade_open coup_id i.ccode1 if au_region_code==5,  gmm2s bw(1) kernel(bartlett) robust
esttab using table_A5.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 _cons) replace




eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au) loggdp logpop gtd_attacks td troop_contri trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks td troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks td troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks td troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks td troop_contri trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
esttab using table_A6.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 *.year _cons) replace

use me_final,clear

tsset ccode1 year
xi i.ccode1

drop if year<2002
drop if year>2019

eststo clear
eststo:ivreg2 logme (me_sl_au= gdp_sl_au pop_sl_au) loggdp logpop gtd_attacks pko_host trade_open coup_id i.ccode1,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_cont= gdp_sl_cont pop_sl_cont)loggdp logpop gtd_attacks pko_host trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_dist= gdp_sl_dist pop_sl_dist)loggdp logpop gtd_attacks pko_host trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust
eststo:ivreg2 logme (me_sl_con_sfi= gdp_sl_con_sfi pop_sl_con_sfi)loggdp logpop gtd_attacks pko_host trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
eststo:ivreg2 logme (me_sl_con_cflt= gdp_sl_con_cflt pop_sl_con_cflt)loggdp logpop gtd_attacks pko_host trade_open coup_id i.ccode1 i.year,  gmm2s bw(3) kernel(bartlett) robust partial(i.ccode1)
esttab using table_A7.csv,compress starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2 idstat jp N)  nogaps drop (*.ccode1 *.year _cons) replace


